﻿using EJGrid.Models;
using Syncfusion.JavaScript;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace EJGrid.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
 
            return View();
        }
        public ActionResult DataSource(DataManager dm)
        {
            IEnumerable<EmployeeView> DataSource = OrderRepository.GetAllRecords2().ToList();
            DataResult result = new DataResult();
            result.result = DataSource.Skip(dm.Skip).Take(dm.Take);
            result.count = DataSource.Count();
            return Json(result, JsonRequestBehavior.AllowGet);
        }
        public class DataResult
        {
            public IEnumerable<EmployeeView> result { get; set; }
            public int count { get; set; }
        }
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Update(EmployeeView value)
        {
            OrderRepository.Update(value);
            var data = OrderRepository.GetAllRecords2();
            return Json(value, JsonRequestBehavior.AllowGet);
        }
        [ValidateAntiForgeryToken]
        public ActionResult Insert(EmployeeView value)
        {
            OrderRepository.Add(value);
            var data = OrderRepository.GetAllRecords2();
            return Json(data, JsonRequestBehavior.AllowGet);
        }
        public ActionResult Remove(int key)
        {
            OrderRepository.Delete(key);
            var data = OrderRepository.GetAllRecords2();
            return Json(data, JsonRequestBehavior.AllowGet);
        }
        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}