﻿namespace EJGrid.Models
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Web;
    using EJGrid.Models;
    using System.Data.SqlClient;
    using System.Data;


    public static class OrderRepository
    {
        public static IList<EmployeeView> GetAllRecords2()
        {
            
            IList<EmployeeView> emp = (IList<EmployeeView>)HttpContext.Current.Session["Employees"];

            if (emp == null)
            {
                HttpContext.Current.Session["Employees"] = emp = (from ord in new NorthWindDataContext().Employees
                                                                  select new EmployeeView
                                                                   {
                                                                       EmployeeID = ord.EmployeeID,
                                                                       Country = ord.Country,
                                                                       FirstName = ord.FirstName,
                                                                       LastName = ord.LastName
                                                                   }).ToList();
            }

            return emp;

        }
        public static IList<EditableOrder> GetAllRecords()
        {
            IList<EditableOrder>  orders = (from ord in new NorthWindDataContext().Orders.Take(200)
                                                                  select new EditableOrder
                                                                  {
                                                                      OrderID = ord.OrderID,
                                                                      OrderDate = ord.OrderDate,
                                                                      CustomerID = ord.CustomerID,
                                                                      EmployeeID = ord.EmployeeID,
                                                                      Freight = ord.Freight,
                                                                      ShipAddress = ord.ShipAddress,
                                                                      ShipCity = ord.ShipCity,
                                                                      ShipName = ord.ShipName,
                                                                      ShipPostalCode = ord.ShipPostalCode,
                                                                      ShipRegion = ord.ShipRegion,
                                                                      ShipCountry = ord.ShipCountry
                                                                  }).ToList();
                foreach (var order in orders)
                {
                    order.child = new ChildClass {  Name= "Name"};
                    if (order.Freight > 30)
                        order.Verified = true;
                    else
                        order.Verified = false;
                }
            
            return orders;
        }

        public static void Update(EmployeeView order)
        {
            EmployeeView result = GetAllRecords2().Where(o => o.EmployeeID == order.EmployeeID).FirstOrDefault();
            if (result != null)
            {
                result.Country = order.Country;
                result.FirstName = order.FirstName;
                result.LastName = order.LastName;
                result.EmployeeID = order.EmployeeID;
            }
        }
        public static void Delete(int EmployeeID)
        {
            EmployeeView result = GetAllRecords2().Where(o => o.EmployeeID == EmployeeID).FirstOrDefault();
            GetAllRecords2().Remove(result);
        }
        public static void Add(EmployeeView emp)
        {
            GetAllRecords2().Insert(0, emp);
        }
    }
}
